Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class WorkSheet_Header_HRPerson
    Inherits BaseObject

    Private _WorkSheet_Header As WorkSheet_Header
    Private _HRPerson As HRPerson

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("WorkSheet_Header-WorkSheet_Header_HRPerson", GetType(WorkSheet_Header))> _
    Property WorkSheet_Header As WorkSheet_Header
        Get
            Return _WorkSheet_Header
        End Get
        Set(value As WorkSheet_Header)
            SetPropertyValue("WorkSheet_Header", _WorkSheet_Header, value)
        End Set
    End Property
    Property HRPerson As HRPerson
        Get
            Return _HRPerson
        End Get
        Set(value As HRPerson)
            SetPropertyValue("HRPerson", _HRPerson, value)
        End Set
    End Property
End Class
